murano (1:16.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:07:05 -0400

murano (1:15.0.0+git2023090714.c898a310-0ubuntu2) mantic; urgency=medium

  * d/control: Drop python3-congressclient as it is optional and no longer
    maintained upstream (LP: #2036964).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2023 08:34:22 -0400

murano (1:15.0.0+git2023090714.c898a310-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:30:37 -0400

murano (1:15.0.0+git2023061415.9a84d271-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:10:29 -0400

murano (1:15.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:54:21 -0400

murano (1:14.0.0+git2023030309.b68a216b-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:31:15 -0500

murano (1:14.0.0+git2023011010.ada28b3a-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/p/skip-py39-failure.patch: Dropped. No longer needed.
  * d/p/drop-U-from-open-mode.patch: Cherry-picked from upstream
    review.
  * d/p/skip-py311-failure.patch: Added to skip failing test until
    fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:04:48 -0500

murano (1:14.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:35:27 -0400

murano (1:13.0.0+git2022091213.4434b574-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/p/skip-py310-failure.patch: Skip py310 failure until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:16:51 -0400

murano (1:13.0.0+git2022071414.4434b574-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:19:34 -0400

murano (1:13.0.0+git2022060213.921a53ad-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 13:53:58 -0400

murano (1:13.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 13.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:19:49 -0400

murano (1:12.0.0+git2022030313.f0258fc8-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:56:24 -0500

murano (1:12.0.0+git2021120910.314c85db-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:52:51 -0500

murano (1:12.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 12.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 07:32:50 +0000

murano (1:11.0.0+git2021090814.8ab430b2-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:57 +0000

murano (1:11.0.0+git2021061112.67baf317-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:48 +0000

murano (1:11.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:53:01 +0000

murano (1:11.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 08:25:31 -0400

murano (1:10.0.0+git2021012507.e078063c-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:06:32 +0000

murano (1:10.0.0+git2020121014.38c7835d-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py39-failures.patch: Skip py39 failures until fixed upstream.
  * d/p/skip-py38-failures.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 14:06:34 -0500

murano (1:10.0.0~b3~git2020091408.7c153733-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 08:10:36 +0000

murano (1:10.0.0~b2~git2020073111.ae9b4e80-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 31 Jul 2020 11:53:22 +0000

murano (1:10.0.0~b1~git2020070210.4c2f898b-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-semantic-version-2.8.2-tests.patch: Dropped. No longer needed.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 10:02:05 -0400

murano (1:9.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Scope to 9.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/p/skip-py38-failures.patch: Refresh patch.
  * d/p/skip-semantic-version-2.8.2-tests.patch: Refresh patch.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 15 May 2020 07:11:26 +0000

murano (1:9.0.0~b3~git2020041013.564f9cf3-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/murano-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:16:48 -0400

murano (1:9.0.0~b2~git2020020609.25ebd01d-0ubuntu2) focal; urgency=medium

  * d/murano-common.postinst.in: Set default ownership and permissions
    for /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 14:43:49 -0400

murano (1:9.0.0~b2~git2020020609.25ebd01d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 10:58:21 +0100

murano (1:9.0.0~b1~git2019121815.3afc74b1-0ubuntu2) focal; urgency=medium

  * d/rules: Use PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 13 Jan 2020 17:51:30 +0100

murano (1:9.0.0~b1~git2019121815.3afc74b1-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/p/skip-py38-failures.patch: Skip py38 failures until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:37:52 -0500

murano (1:8.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:27:24 +0100

murano (1:8.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/watch: Scope to 8.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Use python3-semantic-version >= 2.6.0 as 2.8.2 is
    only required for tests.
  * d/p/skip-semantic-version-2.8.2-tests.patch: Skip tests that require
    semantic-version >= 2.8.2 until it is available in Ubuntu.
  * d/p/skip-py37*.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 16:00:28 -0400

murano (1:8.0.0~b2~git2019073018.7435a2e7-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:42:28 +0200

murano (1:8.0.0~b1~git2019061621.8fb05fd9-0ubuntu1) eoan; urgency=medium

  * New upstream release 8.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Fix binary name to generate config file.
  * d/rules: Fix binary name to generate policy sample.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:26:27 +0100

murano (1:7.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:31:20 +0100

murano (1:7.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 10:10:37 -0400

murano (1:7.0.0~b1~git2019013016.a6130e42-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 16:02:08 -0500

murano (1:7.0.0~b1~git2018111913.abe0516d-0ubuntu2) disco; urgency=medium

  * d/p/skip-py37-tests.patch: Adjusted to skip tests on py36 as well.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Nov 2018 16:21:40 -0500

murano (1:7.0.0~b1~git2018111913.abe0516d-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.
  * d/p/fix-async-py37.patch: Dropped. Fixed in upstream snapshot.
  * d/p/skip-py37-tests.patch: Skip remaining py37 tests that are failing.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:56 -0500

murano (1:6.0.0-0ubuntu3) disco; urgency=medium

  * d/p/fix-async-py37.patch: Cherry-pick from upstream master branch to drop
    use of async for variable/parameter names as it is a keyword in Python 3.7.
  * d/rules: Enable py37 unit tests.
  * d/p/skip-py37-stop-iteration-test.patch: Skip the remaining p37 test that
    is failing.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Nov 2018 14:09:52 -0500

murano (1:6.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure /usr/etc is purged from python(3)-murano packages
    to resolve issues with co-installability.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 13:27:44 -0400

murano (1:6.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-murano conflicts on each other.
    - d/python(3)-murano.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:29:47 -0400

murano (1:6.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 13:34:20 -0400

murano (1:6.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 6.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 14:24:56 -0400

murano (1:5.0.0-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-murano package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      murano-common depends on python-murano by default and python3-murano
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-murano packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Fix typos in python(3)-murano package descriptions.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/murano-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-murano.post*, d/python(3)-murano.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-murano.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for murano daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/murano-cfapi.init.in: Correct name for configuration file,
      resolving autopkgtest failure.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Jun 2018 21:41:16 -0400

murano (1:5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix python3-murano description (Closes: #891694)
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Switch to openstack-pkg-tools >= 70~ shared debconf templates.
  * Fixed dbc postrm.
  * Removed /usr/bin/* from -api and -engine (Closes: #891659).

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 09:28:27 +0000

murano (1:5.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 15:22:50 -0500

murano (1:5.0.0~rc2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Reviewed debian/copyright holders list and years.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 13:26:56 +0100

murano (1:5.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 12:08:49 -0500

murano (1:5.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 12:32:20 -0500

murano (1:5.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Drop dh-systemd as it does not need to be specified with
    debhelper 10.
  * d/watch: Scope to Queens series.
  * d/p/update-murano-cfapi-paste-ssl.patch: Dropped. Fix included upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Dec 2017 16:32:26 -0500

murano (1:5.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/control: Restore prior (Build-)Depend for python-yaql as the new version
    is not required.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 14:34:50 -0500

murano (1:4.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add Russian debconf translation (Closes: #883460)

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Jan 2018 16:20:12 +0100

murano (1:4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated fr.po (Closes: #876310).
  * Removing /etc/murano/murano-cfapi-paste.ini on purge (Closes: #854527).
  * Added missing EPOCH for -mistralclient.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 09:52:25 +0000

murano (1:4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove SQLAlchemy version patch.
  * Ran wrap-and-sort -bast.
  * Updating vcs fields.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * d/rules: Removed things defined in openstack-pkg-tools.
  * Fixed oslo-config-generator namespace list.
  * Also install usr/bin/murano-wsgi-api.
  * Remove dh-systemd build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Oct 2017 23:18:34 +0200

murano (1:4.0.0-0ubuntu2) bionic; urgency=medium

  * d/p/update-murano-cfapi-paste-ssl.patch: Update murano-cfapi-paste.ini
    with http_proxy_to_wsgi.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 09:40:20 -0500

murano (1:4.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:38:05 -0400

murano (1:4.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:17:07 -0400

murano (1:4.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 21:33:12 -0400

murano (1:4.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:45 -0400

murano (1:4.0.0~b3-0ubuntu1) artful; urgency=medium

  [ James Page ]
  * d/murano-common.install: Install wsgi script.
  * New snapshot.
  * d/p/*: Drop all patches, no longer required.
  * d/rules: Rework config and policy file generation.

  [ Corey Bryant ]
  * d/control: Drop oslosphinx and update min version of openstackdocstheme.
  * d/rules: Drop extraneous line-continuation backslash.
  * d/rules: Switch to using oslopolicy-sample-generator.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Move mkdir of debian/murano-common/etc/murano up in file.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 09:27:13 -0400

murano (1:4.0.0~b2-0ubuntu1) artful; urgency=medium

  * New snapshot.
  * d/p/disable-git-docs.patch: Correctly handle execution of git command
    when running from sdist tarball rather than from git repository.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:10:01 +0100

murano (1:4.0.0~b1-0ubuntu2) artful; urgency=medium

  * d/murano-cfapi.init.in: Correct name for configuration file,
    resolving autopkgtest failure.

 -- James Page <james.page@ubuntu.com>  Sun, 30 Apr 2017 11:20:00 +0100

murano (1:4.0.0~b1-0ubuntu1) artful; urgency=medium

  * d/watch: Tweak to deal with upstream milestone versioning.
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 14:43:58 +0100

murano (1:3.2.0-0ubuntu1) zesty; urgency=medium

  * debian/murano-cfpai.init: Fix startup init. (LP: #1659270) 
  * debian/watch: Point to tarballs.openstack.org
  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/control, d/tests: Add dep8 tests.
  * d/patches/skip-unit-test.patch: Skip failing unit test.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Feb 2017 13:47:41 -0500

murano (1:3.1.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release. 
  * Fixed (build-)depends for this release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 09:48:53 -0500

murano (1:3.0.0-6) unstable; urgency=medium

  * Re-incorporate NMU from piotr fixing SQLA depends.
  * Danish translation of the debconf templates (Closes: #849983).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2017 17:46:45 +0200

murano (1:3.0.0-5) unstable; urgency=medium

  * Team upload.
  * Revert net-tools dependency.
  * Bump build dependency on openstack-pkg-tools (Closes: #858707).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:55:59 +0200

murano (1:3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Add missing dependency net-tools (Closes: #858707).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 25 Mar 2017 13:13:14 +0100

murano (1:3.0.0-3.1) unstable; urgency=medium

  * Patch requirements.txt to drop SQLAlchemy << 1.1 dependency

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 05 Feb 2017 12:46:10 +0100

murano (1:3.0.0-3) unstable; urgency=medium

  * Fix murano-cfapi startup (LP: 1659270):
    - Correctly loads murano-cfapi.conf instead of murano.conf.
    - Package and install murano-cfapi-paste.ini.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Jan 2017 22:16:32 +0100

murano (1:3.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * rm /etc/murano/murano-cfapi.conf on purge (Closes: #842072).
  * Added lsb-base to depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Dec 2016 11:32:17 +0100

murano (1:3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:59:40 +0200

murano (1:3.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable (Closes: #835101).
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Fixed oslo-config-generator namespaces.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:58:15 +0200

murano (1:3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2016 23:48:10 +0200

murano (1:3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    CVE-2016-4972_Use_SafeLoader_to_load_yaml_files.patch
  * Add murano-cfapi-db-manage to the list of binaries in murano-common.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jul 2016 12:51:42 +0200

murano (1:3.0.0~b1-2) experimental; urgency=medium

  * CVE-2016-4972: RCE vulnerability in Openstack Murano using insecure YAML
    tags. Applied upstream patch: Use SafeLoader to load yaml files.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Jun 2016 19:34:34 +0000

murano (1:3.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-oslo-config-generation-in-tempest.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jun 2016 09:30:35 +0200

murano (1:2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821244).
  * Added patch to fix tempest.conf when python-murano is installed.
  * Updated Dutch translation for debconf messages (Closes: #823257).

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Apr 2016 00:27:23 +0200

murano (1:2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:47:15 +0200

murano (1:2.0.0~rc3-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated de.po debconf translation (Closes: #819364).
  * Removed also-package-tempest-tests.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:08:21 +0200

murano (1:2.0.0~rc1-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:48:52 +0000

murano (1:2.0.0~rc1-2) experimental; urgency=medium

  * Add patch to also package murano_tempest_tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2016 13:19:22 +0100

murano (1:2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 14:16:30 +0100

murano (1:2.0.0~b3-2) experimental; urgency=medium

  * Install missing files (alembic.ini, locale, etc.).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2016 13:40:03 +0000

murano (1:2.0.0~b3-1) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * d/rules d/copyright: Fix upstream link.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Sets DISCOVER_DIRECTORY=$(CURDIR)/murano/tests/unit instead of patching the
    .testr.conf file.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Mar 2016 16:07:00 +0100

murano (1:2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 21:13:19 +0100

murano (1:1.0.1-2) unstable; urgency=medium

  * Zip the murano core-library and make it available.
  * Don't use dpkg-parsechangelog -S which doesn't work well with Trusty.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Nov 2015 14:18:14 +0100

murano (1:1.0.1-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Added Dutch translation of debconf messages thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #794805).
  * Added python-pymysql as runtime dependency.
  * Added missing namespaces when generating the murano.conf.
  * Setting-up rabbit config using the [oslo_messaging_rabbit] section.

  [ Corey Bryant ]
  * New upstream release for OpenStack Liberty.
  * d/control: Align dependencies with upstream.
  * d/control: Update uploaders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 20:11:32 +0000

murano (1:1.0.0~rc1-2) experimental; urgency=medium

  * Set http instead of https by default for the communication with keystone
    through keystonemiddleware.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Sep 2015 14:48:20 +0200

murano (1:1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Now murano-api depends on python-openstackclient.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 13:03:01 +0000

murano (1:1.0.0~b3-2) experimental; urgency=medium

  * Added cfapi package.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2015 15:03:08 +0200

murano (1:1.0.0~b3-1) experimental; urgency=low

  [ Ivan Udovichenko ]
  * Add myself to Uploaders field.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2015 11:32:15 +0200

murano (1:1.0.0~b1-1) experimental; urgency=low

  * New upstream release.
  * Remove removed-lockfile-from-requirements patch.
  * Remove remove-the-use-of-PROTOCOL_SSLv3 patch.
  * Remove patches-.testr.conf-for-test-discovery-folder patch.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Thu, 16 Jul 2015 22:39:35 +0300

murano (2015.1.0-8) unstable; urgency=medium

  * Allow running with SQLA 1.0.6:
    - Rebuilt with new depends (Closes: #790644).
    - Fixes requirements.txt.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 02:53:54 +0000

murano (2015.1.0-7) unstable; urgency=medium

  * Removes python-lockfile dependency (Closes: #789888).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:37:29 +0200

murano (2015.1.0-6) unstable; urgency=medium

  * Added French debconf translation thanks to Julien Patriarca
    <leatherface@debian.org> (Closes: #789033).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jun 2015 14:50:46 +0200

murano (2015.1.0-5) unstable; urgency=medium

  * Also purges /var/cache/murano (Closes: #788832).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jun 2015 15:32:10 +0200

murano (2015.1.0-4) unstable; urgency=medium

  * Make murano build reproduceable (Closes: #788396). Thanks to Juan Picca
    <jumapico@gmail.com> for the bug report and patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 19:28:37 +0200

murano (2015.1.0-3) unstable; urgency=medium

  * Added fr.po debconf translation (Closes: #785227).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 10:36:41 +0200

murano (2015.1.0-2) unstable; urgency=medium

  * Added pt.po debconf translation (Closes: #784594).
  * Added the creation of /var/cache/murano/meta in postinst.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:19:21 +0200

murano (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 22:10:22 +0000

murano (2015.1~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.
  * Rebased the "disable-failing-tests.patch" which didn't apply anymore.
  * Now generating the .conf file using oslo-config-generator.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Jan 2015 17:50:42 +0100

murano (2014.2-3) experimental; urgency=medium

  * Added ordereddict to pydist-overrides.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Dec 2014 00:22:18 +0800

murano (2014.2-2) experimental; urgency=medium

  * murano-api and murano-engine now depends on murano-common.
  * Fixed the service type for murano-api.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Oct 2014 21:14:37 +0800

murano (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Oct 2014 13:04:57 +0800

murano (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Now using templated init script for sysv-rc, generated systemd unit and
    upstart jobs, using openstack-pkg-tools >= 13.
  * Fixed double-declared (build-)depends on python-keystoneclient.
  * Standards-Version is now 3.9.6 (no change).
  * Added a watch file.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 14:05:24 +0800

murano (2014.2~b3-1) experimental; urgency=low

  * Initial release. (Closes: #762822)

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Sep 2014 17:35:42 +0800

